{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/vehcon/aaapi/1.0.0"},{"description":"development server","url":"http://127.0.0.1:5000"}],"info":{"description":"API for accessing insurance policy information","version":"1.0.0","title":"AAA Docreader","contact":{"email":"bradley.smith@vehcon.com"}},"tags":[{"name":"development"}],"paths":{"/aaadocreader/vehicles":{"get":{"tags":["development"],"summary":"retrieves list of vehicles","description":"Pass a request to receive a list of all vehicles and their associated policies","responses":{"200":{"description":"search results match criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/vehicles"}}}}},"400":{"description":"bad input paramater"}}},"post":{"tags":["development"],"summary":"post a search for specific policy","description":"searches database for a specific policy number and returns the associated vin numbers","responses":{"200":{"description":"search successful","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/policyResponse"}}}}},"400":{"description":"bad input parameter"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/policySearch"}}},"description":"policy number to search for"}}}},"components":{"schemas":{"policySearch":{"type":"object","required":["policynumber"],"properties":{"policynumber":{"type":"string","format":"int32","example":"000000119"}}},"policyResponse":{"type":"object","required":["policy"],"properties":{"policy":{"type":"array","items":{"$ref":"#/components/schemas/vehicles"}}}},"vehicles":{"type":"object","required":["policynumber","vin"],"properties":{"policynumber":{"type":"string","format":"int32","example":"000000101"},"vin":{"type":"string","format":"int32","example":"1FTSE3EL9CDA42209"}}}}}}